App\Entity\User:
    type: entity
    table: user
    repositoryClass: App\Repository\UserRepository
    id:
        id:
            type: integer
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
            id: true
            generator:
                strategy: IDENTITY
    fields:
        fullName:
            type: string
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
            column: full_name
        username:
            type: string
            scale: 0
            length: null
            unique: true
            nullable: false
            precision: 0
        email:
            type: string
            scale: 0
            length: null
            unique: true
            nullable: false
            precision: 0
        password:
            type: string
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
        roles:
            type: json
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
        Locked:
            type: integer
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
            column: locked
        BarcodeAut:
            type: string
            scale: 0
            length: 255
            unique: false
            nullable: true
            precision: 0
            column: barcode_aut
        CreatorId:
            type: integer
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
            column: creator_id
        CreationDate:
            type: datetime
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
            column: creation_date
        ModifyId:
            type: integer
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
            column: modify_id
        ModifyDate:
            type: datetime
            scale: 0
            length: null
            unique: false
            nullable: false
            precision: 0
            column: modify_date
        Token:
            type: text
            scale: 0
            length: null
            unique: false
            nullable: true
            precision: 0
            column: token
    manyToOne:
        azienda:
            targetEntity: App\Entity\Aziende
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: users
            joinColumns:
                azienda_id:
                    referencedColumnName: id
            orphanRemoval: false
        Area:
            targetEntity: App\Entity\Area
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: Users
            joinColumns:
                area_id:
                    referencedColumnName: id
            orphanRemoval: false
    oneToOne:
        profilo:
            targetEntity: App\Entity\Profili
            cascade:
                - remove
                - persist
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            joinColumns:
                profilo_id:
                    referencedColumnName: id
            orphanRemoval: false
    oneToMany:
        loginLog:
            targetEntity: App\Entity\LoginLog
            cascade: {  }
            fetch: LAZY
            mappedBy: user
            inversedBy: null
            orphanRemoval: false
            orderBy: null
    manyToMany:
        Gruppi:
            targetEntity: App\Entity\Gruppi
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: Users
            joinTable:
                name: user_gruppi
                joinColumns:
                    -
                        name: user_id
                        referencedColumnName: id
                        onDelete: CASCADE
                inverseJoinColumns:
                    -
                        name: gruppi_id
                        referencedColumnName: id
                        onDelete: CASCADE
            orderBy: null
    lifecycleCallbacks: {  }
